Results 1 to 3 of 3

Thread: Can't install plugins in control-center under 7.10

  1. #1
    Join Date
    Apr 2007
    Location
    Dayton, OH
    Beans
    13
    Distro
    Ubuntu 7.10 Gutsy Gibbon

    Question Can't install plugins in control-center under 7.10

    I recently upgraded my Feisty system to Gutsy, and installed Mythbuntu over that installation. When I try to install plugins using the mythbuntu-control-center, I get an error box with the following:

    Broken apt package cache

    Check your repository lists for universe, multiverse, and main. Perform a packagelist update as well.

    When I click on the Details line, it adds this:

    E:Unable to correct problems, you have held broken packages.

    I've checked the software sources, and main, universe, and multiverse are checked off. I've also verified in there that nothing is active under the community sources. I've done apt-get update. I've also (following some suggestions found while web searching) gone into synaptic under Edit to Fix Broken Packages. None of this has had any effect. I am able, in the control center, to add the restricted codecs.

    What should I be checking here? I had a similar error on another machine (also upgraded from Feisty), but it was resolved by deselecting the community software sources that had been for Feisty. Thanks for any suggestions!

  2. #2
    Join Date
    Nov 2007
    Beans
    129
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Can't install plugins in control-center under 7.10

    How did you upgrade from Feisty to Gutsy? (Syanptic, apt?)

    Have you checked your sources.list to make sure its all listed as Gusty?

    Have you made sure the Multiverse, Universe, and Main Repos are all enabled?

    Have you tried:

    Code:
    sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade
    --or--

    Code:
    sudo apt-get install -f
    --or--

    Code:
    sudo apt-get autoremove

  3. #3
    Join Date
    Apr 2007
    Location
    Dayton, OH
    Beans
    13
    Distro
    Ubuntu 7.10 Gutsy Gibbon

    Re: Can't install plugins in control-center under 7.10

    I used the system update tool to upgrade to Gutsy--I'm not sure the name of the binary, but it's the same one that notifies me of updates to installed software.

    Yes, I've checked the sources.list, and there's nothing left there for feisty. All three repos (main, universe, and multiverse) are enabled.

    I hadn't tried the apt-get install -f or the apt-get autoremove (I had done the other apt-get commands). When I ran autoremove, it removed a number of installed packages, saying they had been automatically installed and were no longer required. However, the problem still persists.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •